# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.588.1.3 -> 1.588.1.4
#	drivers/usb/storage/transport.c	1.17    -> 1.18   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/05/26	mdharm-usb@one-eyed-alien.net	1.588.1.4
# [PATCH] Additional comments for usb-storage
# 
# Added comments, as per the request of several people.
# --------------------------------------------
#
diff -Nru a/drivers/usb/storage/transport.c b/drivers/usb/storage/transport.c
--- a/drivers/usb/storage/transport.c	Tue May 28 23:48:54 2002
+++ b/drivers/usb/storage/transport.c	Tue May 28 23:48:54 2002
@@ -473,7 +473,15 @@
 
 /* This is a version of usb_clear_halt() that doesn't read the status from
  * the device -- this is because some devices crash their internal firmware
- * when the status is requested after a halt
+ * when the status is requested after a halt.
+ *
+ * A definitive list of these 'bad' devices is too difficult to maintain or
+ * make complete enough to be useful.  This problem was first observed on the
+ * Hagiwara FlashGate DUAL unit.  However, bus traces reveal that neither
+ * MacOS nor Windows checks the status after clearing a halt.
+ *
+ * Since many vendors in this space limit their testing to interoperability
+ * with these two OSes, specification violations like this one are common.
  */
 int usb_stor_clear_halt(struct us_data *us, int pipe)
 {
